Find the answer to your Linux question:
Results 1 to 2 of 2
Dear All, I would like using the VPN service on linux. I must install freeswan on it. But when I compile it by command make oldgo I always get an ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jan 2007
    Posts
    1

    Red face IPSec not in kernel config


    Dear All,

    I would like using the VPN service on linux. I must install freeswan on it. But when I compile it by command make oldgo I always get an message said that:
    IPSec not in kernel config (/usr/src/....).
    Anybody help me fixed that problem.
    Many thank for help me.

  2. #2
    Linux User cyberinstru's Avatar
    Join Date
    Jan 2007
    Location
    India
    Posts
    362
    1. What is the linux distro u r using?
    2. Kernel version?

    If you are using 2.4.x kernel, then you need to patch your kernel for klips support (and for NAT support, if u really require it).

    If you are using 2.6.x kernel, then you can choose between Native IPSec stack (PF KEY support) or KLIPS support.

    Please post the complete details here to have a clear picture.


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •